package com.gree.mall.contest.bean.goods;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class GoodsPackageList {

    @Schema( description = "商品id")
    private String goodsId;
    @Schema( description = "商品图")
    private String imgUrl;
    @Schema( description = "商品名称")
    private String goodsName;
    @Schema( description = "状态true=是 false=否")
    private Boolean status;
    @Schema( description = "参与产品数量")
    private Integer goodsNums;
    @Schema( description = "最低销售价")
    private BigDecimal packageMinAmount;
    @Schema( description = "最低分佣金额")
    private BigDecimal packageMinShareAmount;
    @Schema( description = "使用优惠券 0=不可使用 1=所有优惠券 2=满减券 3=商品券")
    private Integer useCoupon;
    @Schema( description = "适用范围 0=指定人员 1=所有人 2=普通用户 3=业务员")
    private Integer packageUserType;
    @Schema( description = "订单数量")
    private Integer orderNums;
    @Schema( description = "订单总金额")
    private BigDecimal orderPayAmount;
    @Schema( description = "商户")
    private String companyName;

}
