package com.gree.mall.contest.config;

import org.slf4j.LoggerFactory;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.cors.CorsConfiguration;
import org.springframework.web.cors.UrlBasedCorsConfigurationSource;
import org.springframework.web.filter.CorsFilter;


@Configuration
public class CorsConfig {

    @Bean
    public CorsFilter corsFilter() {
        LoggerFactory.getLogger(this.getClass()).info("CorsFilter 启动运行");

        UrlBasedCorsConfigurationSource source = new UrlBasedCorsConfigurationSource();
        CorsConfiguration config = new CorsConfiguration();

        // 启用凭证（如 cookies、Authorization 头）
        config.setAllowCredentials(true);

        // 使用 allowedOriginPatterns 替代 allowedOrigins
        config.addAllowedOriginPattern("*");  // 修复点

        config.addAllowedHeader("*");
        config.addAllowedMethod("*");

        source.registerCorsConfiguration("/**", config);
        return new CorsFilter(source);
    }
}
